Conhecidos problemas de actualizações de segurança 3098779 e 3097997 de .NET Framework 4.5.1 e 4.5.2 depois de instalar o 4.6. .NET Framework num Windows 8.1, 8.1 RT de Windows e Windows Server R2 de 2012

IMPORTANTE: Este artigo foi traduzido por um sistema de tradução automática (também designado por Machine translation ou MT), não tendo sido portanto revisto ou traduzido por humanos. A Microsoft tem artigos traduzidos por aplicações (MT) e artigos traduzidos por tradutores profissionais. O objectivo é simples: oferecer em Português a totalidade dos artigos existentes na base de dados do suporte. Sabemos no entanto que a tradução automática não é sempre perfeita. Esta pode conter erros de vocabulário, sintaxe ou gramática… erros semelhantes aos que um estrangeiro realiza ao falar em Português. A Microsoft não é responsável por incoerências, erros ou estragos realizados na sequência da utilização dos artigos MT por parte dos nossos clientes. A Microsoft realiza actualizações frequentes ao software de tradução automática (MT). Obrigado.

Clique aqui para ver a versão em Inglês deste artigo: 3118750
Sumário
Clientes que estiver a actualizar do quadro .NET 4.5.1 ou 4.5.2 para 4.6 de Framework .NET ou que está a instalar o Visual Studio 2015 depois de instalarem actualizações 3098779 e 3097997 poderá detectar problemas quando são executadas aplicações do .NET Framework.

Além disso, os clientes que utilizam um sistema que tenha o Microsoft sair 4.6 instalado e que aplicar manualmente actualizações de segurança 3098779 e 3097997 para Microsoft .NET Framework 4.5.1 e 4.5.2 no Windows 8.1, 8.1 RT de Windows e Windows Server 2012 R2 poderão detectar problemas quando são executadas aplicações do .NET Framework.

Nota Sistemas operativos mais antigos que têm âmbito .NET 4.5.1 ou 4.5.2 instalado não são afectados por este problema, uma vez que as actualizações de segurança 3098779 e 3097997 não se lhes aplicam.
Sintomas

Cenário 1

  • Está a utilizar o quadro .NET 4.5.1 ou 4.5.2 no Windows 8.1, 8.1 de RT do Windows ou Windows Server R2 de 2012.
  • Instalou todas as actualizações mais recentes para o quadro de .NET 4.5.1 e 4.5.2. Isto inclui actualizações 3098779 e 3097997.
  • Transferir e instalar o quadro de .NET 4.6 ou instale o Microsoft Visual Studio 2015.
Neste cenário, alguns componentes do 4.6 de Framework .NET não são actualizadas conforme esperado ou algumas aplicações do .NET Framework não iniciam ou não são executadas correctamente.

Cenário 2

  • Estiver a utilizar o quadro 4.6. .NET no Windows 8.1, 8.1 de RT do Windows ou Windows Server R2 de 2012.
  • Aplicar manualmente actualizações 3098779 e 3097997 ou qualquer outra actualização que não se destina a 4.6. .NET Framework, mesmo que estas actualizações destinam-se para o quadro de .NET 4.5.1 e 4.5.2.

    NotaEste é um cenário não suportado. Para mais informações sobre como determinar a correcta aplicação de uma actualização do Microsoft .NET Framework, consulte o artigo de Base de dados de conhecimento da Microsoft 3136092.
Neste cenário, algumas aplicações do .NET Framework não iniciam ou não são executadas correctamente.
Resolução

Resolução para o cenário 1

Os clientes podem resolver estes problemas através da actualização para o quadro de .NET 4.6.1 do seguintes Web sites da Microsoft Download Center:

Em alternativa, os clientes podem desinstalar actualizações 3098779 e 3097997 se tiver actualizado o seus sistemas para a 4.6. .NET Framework ou tiver instalado o Visual Studio 2015 da totalmente actualizado .NET 4.5.1 ou 4.5.2 sistema com actualizações de 3098779 e 3097997 instalado.

Os clientes devem, em seguida, voltar a analisar o Windows Update e transferir e instalar actualizações 3098785 e 3098000. Estas são as correspondentes Boletim de segurança Microsoft MS15-118 actualizações para o quadro 4.6. .NET no Windows 8.1, 8.1 de RT do Windows ou Windows Server R2 de 2012. Esta acção irá corrigir o erro de correspondência de versão.

Resolução do cenário 2

Os clientes que apliquem manualmente actualizações 3098779 e 3097997 em sistemas que tenham a 4.6. .NET Framework instalado deverão estar ciente de que não se trata de um cenário suportado. Estas actualizações não se aplicam a 4.6. .NET Framework.

Por conseguinte, os clientes que estejam a utilizar o quadro 4.6. .NET devem desinstalar actualizações de 3098779 e 3097997. Os clientes devem, em seguida, voltar a analisar o Windows Update e instalar apenas as actualizações que se aplicam a 4.6. .NET Framework. Esta acção irá corrigir o erro de correspondência de versão.

Similarly, customers who are using the .NET 4.5.1 or 4.5.2 should make sure that there are no updates that are applicable to any other .NET Framework version installed on their systems. For example, updates that are intended for the .NET Framework 4.6 should not be applied to systems that have the .NET 4.5.1 or 4.5.2 installed. Para obter mais informações sobre como de verificar a correcta aplicação das actualizações da Microsoft de .NET Framework 4.6 e 4.6.1, artigo da Base de seeMicrosoftKnowledge 3136092.
Ponto Da Situação
A Microsoft confirmou que este é um problema nos produtos da Microsoft listados na secção "Aplica-se a".

Aplica-se a

Este artigo aplica-se à seguinte:

  • Microsoft de .NET Framework 4.6 quando utilizado com:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
  • Microsoft .NET Framework 4.5.2 quando utilizado com:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
  • Microsoft .NET Framework 4.5.1 quando utilizado com:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1

Aviso: Este artigo foi traduzido automaticamente

Propriedades

ID do Artigo: 3118750 - Última Revisão: 01/15/2016 08:39:00 - Revisão: 4.0

Microsoft .NET Framework 4.6, Microsoft .NET Framework 4.5.2, Microsoft .NET Framework 4.5.1

  • atdownload kbbug kbexpertiseinter kbfix kbsecbulletin kbsecurity kbsecvulnerability kbmt KB3118750 KbMtpt
Comentários